namespace Tinkerforge
{
    public static class ELEDStrip
    {
        public static (int Index, byte Length, byte[] Red, byte[] Green, byte[] Blue) GetRGBValues(this BrickletLEDStrip ledStrip, int index, byte length)
        {
            
            ledStrip.GetRGBValues(index, length, out byte[] r, out byte[] g, out byte[] b);
            return (index, length, r, g, b);
        }

        public static (int Index, byte Length, byte[] Red, byte[] Green, byte[] Blue, byte[] White) GetRGBWValues(
            this BrickletLEDStrip ledStrip, int index, byte length)
        {
            ledStrip.GetRGBWValues(index, length, out byte[] r, out byte[] g, out byte[] b, out byte[] w);
            return (index, length, r, g, b, w);
        }
    }
}
